<template>
  <div>
    <card
    @addContents="addContents"
    @checkedNames="checkedNames"
    v-for="(item, index) in data"
    :key="index"
    :data="item" />
  </div>
</template>

<script setup>
import card from '@c/voteboard/voteCard.vue'
const props = defineProps({
    data: {
        type: Array,
        required: true,
    },
});
const emit = defineEmits(['addContents','checkedNames']);
const addContents = (itemList ,voteId) =>{
    emit('addContents',itemList ,voteId);
}
const checkedNames = (numList) =>{
    emit('checkedNames',numList);
}

</script>


<style scoped>

</style>
